<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="./">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>About Bstrain &mdash; bstrain  documentation</title>
      <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=80d5e7a1" />
      <link rel="stylesheet" type="text/css" href="_static/css/theme.css?v=19f00094" />
      <link rel="stylesheet" type="text/css" href="_static/mystnb.4510f1fc1dee50b3e5859aac5469c37c29e427902b24a333a5f9fcb2f0b3ac41.css?v=be8a1c11" />
      <link rel="stylesheet" type="text/css" href="_static/copybutton.css?v=76b2166b" />

  
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js?v=5d32c60e"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="_static/documentation_options.js?v=5929fcd5"></script>
        <script src="_static/doctools.js?v=9a2dae69"></script>
        <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
        <script src="_static/clipboard.min.js?v=a7894cd8"></script>
        <script src="_static/copybutton.js?v=f281be69"></script>
        <script async="async" src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="author" title="About these documents" href="#" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Install Bstrain" href="install.html" />
    <link rel="prev" title="Bstrain’s documentation" href="index.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            bstrain
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Bstrain code</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">About Bstrain</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#compute-infinitesimal-vs-lagrangian-strain-rate-tensor">Compute infinitesimal vs Lagrangian strain rate tensor</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="install.html">Install Bstrain</a></li>
<li class="toctree-l1"><a class="reference internal" href="howto.html">How to use</a></li>
<li class="toctree-l1"><a class="reference internal" href="stepby.html">Bstrain step by step</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Bstrain Plotter</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="plotter.html">Quick guide to Bstrain plotter</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">bstrain</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">About Bstrain</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/about.md.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="about-bstrain">
<h1>About Bstrain<a class="headerlink" href="#about-bstrain" title="Link to this heading"></a></h1>
<p>This code has been developed based on previous work done by <a class="reference external" href="http://perso.ens-lyon.fr/thomas.bodin/index.html">Thomas Bodin</a> and coauthors for tomography. Find the source code <a class="reference external" href="https://forge.univ-lyon1.fr/marianne.metois/bayesianstrainrate/">https://forge.univ-lyon1.fr/marianne.metois/bayesianstrainrate/</a></p>
<p>It has been modified to apply the transdimensional bayesian inversion framework to the problem of deriving strain rates from discrete 2D GNSS velocity fields or displacements.</p>
<p>Its primary version has been developed at <a class="reference external" href="https://lgltpe.fr/">LGL-TPE</a> by Colin Pagani during his PhD (obtained in 2021) and applied to California as a proof of concept (see Pagani et al. 2021).</p>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p><strong>If you use this code, please cite :</strong></p>
<p>Pagani, C., Bodin, T., Métois, M., &amp; Lasserre, C. (2021). Bayesian estimation of surface strain rates from Global Navigation Satellite System Measurements: Application to the Southwestern United States. Journal of Geophysical Research: Solid Earth, 126(6), e2021JB021905.<a class="reference external" href="https://doi.org/10.1029/2021JB021905">https://doi.org/10.1029/2021JB021905</a></p>
</div>
<div class="admonition tip">
<p class="admonition-title">Tip</p>
<p>If you enconter problems, please post an issue in the <a class="reference external" href="https://forge.univ-lyon1.fr/marianne.metois/bayesianstrainrate">gitlab</a>, or contact marianne.metois-at-univ-lyon1.fr</p>
</div>
<p>The code is still under developpement. In particular, we plan to adapt the code for 3D GNSS and to adapt it to InSAR data sets (LOS directed deformation). If you are interested in collaborating, <a class="reference external" href="mailto:marianne&#46;metois&#37;&#52;&#48;univ-lyon1&#46;fr?subject=Bstrain">get in touch</a>, our team (Colin, Thomas, Cécile and Marianne) will be pleased to discuss.</p>
<p><img alt="image info" src="_images/team.png" /></p>
<section id="compute-infinitesimal-vs-lagrangian-strain-rate-tensor">
<h2>Compute infinitesimal vs Lagrangian strain rate tensor<a class="headerlink" href="#compute-infinitesimal-vs-lagrangian-strain-rate-tensor" title="Link to this heading"></a></h2>
<p>Two different formalism exist to compute the strain rate or strain tensor from velocity (resp. displacement) fields. Bstrain has been firstly designed to deal with small deformation, and therefore to compute the infinitesimal strain rate tensor <span class="math notranslate nohighlight">\(\dot\epsilon_{ij}\)</span>. We set <span class="math notranslate nohighlight">\(\mathbf{\nabla v}\)</span> that can be decomposed into a symmetric strain rate tensor <span class="math notranslate nohighlight">\( \mathbf{\dot\epsilon}\)</span> and an antisymmetric rigid body rotation matrix <span class="math notranslate nohighlight">\(W\)</span> so that :</p>
<div class="math notranslate nohighlight">
\[\dot\epsilon_{ij} = \frac{1}{2}(\partial_jv_i + \partial_iv_j), \text{ and}\]</div>
<div class="math notranslate nohighlight">
\[\begin{split}W =
\begin{pmatrix}
   0 &amp; \omega \\
   -\omega &amp; 0 \\
\end{pmatrix}
\text{ with } \omega=\frac{1}{2}(\partial_yv_x - \partial_xv_y).\end{split}\]</div>
<p>However, when dealing with large deformations such as coseismic motions, or creeping plate boundaries, one may prefer to compute the Lagrangian version of the strain rate tensor. Bstrain has an option to compute this tensor rather than the infinitesimal one if needed.</p>
<p>Let’s consider two points <span class="math notranslate nohighlight">\(\overrightarrow{X} \)</span> and <span class="math notranslate nohighlight">\( \overrightarrow{x}\)</span> as described in the following figure, moving by <span class="math notranslate nohighlight">\(\overrightarrow{dX}\)</span> and <span class="math notranslate nohighlight">\(\overrightarrow{dx}\)</span> respectively.</p>
<p><img alt="image info" src="_images/strain.png" /></p>
<p>We can write:</p>
<div class="math notranslate nohighlight">
\[\overrightarrow{x} + \overrightarrow{dx} = \overrightarrow{X} + \overrightarrow{dX} + \overrightarrow{u}(\overrightarrow{X} + \overrightarrow{dX})\]</div>
<div class="math notranslate nohighlight">
\[\overrightarrow{dx} = \overrightarrow{X} - \overrightarrow{x} + \overrightarrow{dX} + \overrightarrow{u}(\overrightarrow{X} + \overrightarrow{dX})\]</div>
<div class="math notranslate nohighlight">
\[\overrightarrow{dx} = \overrightarrow{dX} + \underbrace{\overrightarrow{u}(\overrightarrow{X} + \overrightarrow{dX}) - \overrightarrow{u}(\overrightarrow{X})}_{\frac{\partial{\overrightarrow{u}}}{\partial{\overrightarrow{X}}}\cdot\overrightarrow{dX}}\]</div>
<p>Now,</p>
<div class="math notranslate nohighlight">
\[\frac{\partial{\overrightarrow{u}}}{\partial{\overrightarrow{X}}}\cdot\overrightarrow{dX} = \nabla\overrightarrow{u}\cdot\overrightarrow{dX}\]</div>
<p>hence</p>
<div class="math notranslate nohighlight">
\[\overrightarrow{dx} = (\mathbf{I}+\nabla\overrightarrow{u})\cdot\overrightarrow{dX}\]</div>
<p>By definition, we denote <span class="math notranslate nohighlight">\(F\)</span> as the deformation matrix given by <span class="math notranslate nohighlight">\(F=(\mathbf{I}+\nabla\overrightarrow{u})\)</span>, which can also be written as <span class="math notranslate nohighlight">\(F_{ij}=\frac{\partial{x_i}}{\partial{X_j}}\)</span>.</p>
<p>The Cauchy tensor <span class="math notranslate nohighlight">\(C\)</span> is given by</p>
<div class="math notranslate nohighlight">
\[C=F^T\cdot F\]</div>
<div class="math notranslate nohighlight">
\[C=(\mathbf{I}+\nabla\overrightarrow{u})^T\cdot(\mathbf{I}+\nabla\overrightarrow{u})\]</div>
<div class="math notranslate nohighlight">
\[C= \mathbf{I} + \underbrace{\nabla\overrightarrow{u} + \nabla\overrightarrow{u}^T + \nabla\overrightarrow{u}^T\cdot\nabla\overrightarrow{u}}\]</div>
<div class="math notranslate nohighlight">
\[C=\mathbf{I} + 2E\]</div>
<p>where <span class="math notranslate nohighlight">\(E\)</span> is by definition the Lagrangian strain tensor given by:</p>
<div class="math notranslate nohighlight">
\[E=0.5(\nabla\overrightarrow{u} + \nabla\overrightarrow{u}^T + \nabla\overrightarrow{u}^T\cdot\nabla\overrightarrow{u})\]</div>
<p>that is, in index notation</p>
<div class="math notranslate nohighlight">
\[E_{ij} = \frac{1}{2}(\partial_j u_i + \partial_i u_j + \underbrace{\partial_i u_j\cdot\partial_j u_i}_{A})\]</div>
<p><span class="math notranslate nohighlight">\(A\)</span> is generally considered negligible if <span class="math notranslate nohighlight">\(\nabla\overrightarrow{u}&lt;&lt;0\)</span>, i.e., for small deformations, and we then have <span class="math notranslate nohighlight">\(E_{ij}=\epsilon_{ij}=\frac{1}{2}(\partial_j u_i + \partial_i u_j)\)</span>. This is not the case for a coseismic displacement, for example, but potentially also not for a very fast plate boundary like the San Andreas.</p>
<p>Specifically, in the 2D tensor <span class="math notranslate nohighlight">\(\mathbf{E}\)</span>, we thus need to add:</p>
<div class="math notranslate nohighlight">
\[E_{xx}=\partial_x u_x + \boxed{\frac{1}{2}(\partial_xu_x)^2}\]</div>
<p>and</p>
<div class="math notranslate nohighlight">
\[E_{xy}=\frac{1}{2}(\partial_x u_y + \partial_y u_x + \boxed{\partial_x u_y\cdot\partial_y u_x})\]</div>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="index.html" class="btn btn-neutral float-left" title="Bstrain’s documentation" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="install.html" class="btn btn-neutral float-right" title="Install Bstrain" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2024, mmetois.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>